require 'httparty'

class Mailgun

  # including httparty for handling the requests
  include HTTParty
  
  # base_uri is the url for mailgun requests, you have to add your domain after ..v3/
  base_uri 'https://api.mailgun.net/v3/'

  # This sets the auth header, make sure you have an enviroment var in .bashrc
  basic_auth 'api', "#{ENV['MAILGUN_API_KEY']}"
end

